pub(crate) fn format_halfwidth_katakana(input: &str) -> String {
    input
        .replace("ｱ", "ア")
        .replace("ｲ", "イ")
        .replace("ｳ", "ウ")
        .replace("ｴ", "エ")
        .replace("ｵ", "オ")
        .replace("ｶ", "カ")
        .replace("ｷ", "キ")
        .replace("ｸ", "ク")
        .replace("ｹ", "ケ")
        .replace("ｺ", "コ")
        .replace("ｻ", "サ")
        .replace("ｼ", "シ")
        .replace("ｽ", "ス")
        .replace("ｾ", "セ")
        .replace("ｿ", "ソ")
        .replace("ﾀ", "タ")
        .replace("ﾁ", "チ")
        .replace("ﾂ", "ツ")
        .replace("ﾃ", "テ")
        .replace("ﾄ", "ト")
        .replace("ﾅ", "ナ")
        .replace("ﾆ", "ニ")
        .replace("ﾇ", "ヌ")
        .replace("ﾈ", "ネ")
        .replace("ﾉ", "ノ")
        .replace("ﾊ", "ハ")
        .replace("ﾋ", "ヒ")
        .replace("ﾌ", "フ")
        .replace("ﾍ", "ヘ")
        .replace("ﾎ", "ホ")
        .replace("ﾏ", "マ")
        .replace("ﾐ", "ミ")
        .replace("ﾑ", "ム")
        .replace("ﾒ", "メ")
        .replace("ﾓ", "モ")
        .replace("ﾔ", "ヤ")
        .replace("ﾕ", "ユ")
        .replace("ﾖ", "ヨ")
        .replace("ﾗ", "ラ")
        .replace("ﾘ", "リ")
        .replace("ﾙ", "ル")
        .replace("ﾚ", "レ")
        .replace("ﾛ", "ロ")
        .replace("ﾜ", "ワ")
        .replace("ｦ", "ヲ")
        .replace("ﾝ", "ン")
        .replace("ｧ", "ァ")
        .replace("ｨ", "ィ")
        .replace("ｩ", "ゥ")
        .replace("ｪ", "ェ")
        .replace("ｫ", "ォ")
        .replace("ｯ", "ッ")
        .replace("ｬ", "ャ")
        .replace("ｭ", "ュ")
        .replace("ｮ", "ョ")
        .replace("ｶﾞ", "ガ")
        .replace("ｷﾞ", "ギ")
        .replace("ｸﾞ", "グ")
        .replace("ｹﾞ", "ゲ")
        .replace("ｺﾞ", "ゴ")
        .replace("ｻﾞ", "ザ")
        .replace("ｼﾞ", "ジ")
        .replace("ｽﾞ", "ズ")
        .replace("ｾﾞ", "ゼ")
        .replace("ｿﾞ", "ゾ")
        .replace("ﾀﾞ", "ダ")
        .replace("ﾁﾞ", "ヂ")
        .replace("ﾂﾞ", "ヅ")
        .replace("ﾃﾞ", "デ")
        .replace("ﾄﾞ", "ド")
        .replace("ﾊﾞ", "バ")
        .replace("ﾋﾞ", "ビ")
        .replace("ﾌﾞ", "ブ")
        .replace("ﾍﾞ", "ベ")
        .replace("ﾎﾞ", "ボ")
        .replace("ﾊﾟ", "パ")
        .replace("ﾋﾟ", "ピ")
        .replace("ﾌﾟ", "プ")
        .replace("ﾍﾟ", "ペ")
        .replace("ﾎﾟ", "ポ")
        .replace("ｳﾞ", "ヴ")
}

#[cfg(test)]
mod tests {
    use crate::formatter::halfwidth_character::format_halfwidth_katakana;

    #[test]
    fn test_format_halfwidth_katakana() {
        assert_eq!(format_halfwidth_katakana("堀ﾉ内"), "堀ノ内");
        assert_eq!(format_halfwidth_katakana("鶴ｹ岡"), "鶴ケ岡");
    }
}
